import { LitElement, PropertyValues } from 'lit';
declare const WarpTextField_base: import("@open-wc/form-control").Constructor<import("@open-wc/form-control").FormControlInterface> & typeof LitElement;
/**
 * A single line text input element.
 *
 * [See Storybook for usage examples](https://warp-ds.github.io/elements/?path=/docs/forms-textfield--docs)
 */
declare class WarpTextField extends WarpTextField_base {
    #private;
    static shadowRootOptions: {
        delegatesFocus: boolean;
        mode: ShadowRootMode;
        serializable?: boolean;
        slotAssignment?: SlotAssignmentMode;
    };
    disabled: boolean;
    invalid: boolean;
    id: string;
    label: string;
    helpText: string;
    size: string;
    max: number;
    min: number;
    minLength: number;
    maxLength: number;
    pattern: string;
    placeholder: string;
    /** @deprecated Use the native readonly attribute instead. */
    readOnly: boolean;
    readonly: boolean;
    required: boolean;
    type: string;
    value: string;
    name: string;
    step: number;
    autocomplete?: string;
    /**
     * Function to format value when the input field.
     *
     * Only active when the input field does not have focus,
     * similar to the accessible input masking example from Filament Group
     *
     * https://css-tricks.com/input-masking/
     * https://filamentgroup.github.io/politespace/demo/demo.html
     */
    formatter: (value: string) => string;
    /** @internal */
    mask: HTMLDivElement;
    /** @internal */
    _hasPrefix: boolean;
    /** @internal */
    _hasSuffix: boolean;
    updated(changedProperties: PropertyValues<this>): void;
    firstUpdated(changedProps: Map<string, unknown>): void;
    resetFormControl(): void;
    static styles: import("lit").CSSResult[];
    /** @internal */
    get _inputstyles(): string;
    /** @internal */
    get _helptextstyles(): string;
    /** @internal */
    get _label(): import("lit").TemplateResult<1>;
    /** @internal */
    get _helpId(): string;
    /** @internal */
    get _id(): string;
    /** @internal */
    get _error(): string;
    handler(e: Event): void;
    prefixSlotChange(): void;
    suffixSlotChange(): void;
    render(): import("lit").TemplateResult<1>;
}
export { WarpTextField };
